﻿Public Class SystemDiagnosticsLogger
    Implements ILogger



    Public Sub LogInfo(ByVal info As String) Implements ILogger.LogInfo
        Trace.WriteLine(info)
    End Sub

    Public Sub LogServiceInvocation(ByVal service As Object, ByVal message As String, ByVal parameterInfo As String) Implements ILogger.LogServiceInvocation
        Dim msg As String

        msg = String.Format("Invoking message {0} on {1}", message, service.GetType().Name)
        If Not String.IsNullOrEmpty(parameterInfo) Then
            msg &= String.Format(" with parameters: ""{0}""", parameterInfo)
        End If

        Trace.WriteLine(msg)
    End Sub

    Public Sub LogServiceReturn(ByVal service As Object, ByVal message As String, ByVal returnInfo As String) Implements ILogger.LogServiceReturn
        Dim msg As String

        msg = String.Format("Returning from message {0} on {1}", message, service.GetType().Name)
        If Not String.IsNullOrEmpty(returnInfo) Then
            msg &= String.Format(" with ""{0}""", returnInfo)
        End If

        Trace.WriteLine(msg)
    End Sub
End Class
