﻿Public Class MainForm

    Private Sub MainForm_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.BackColor = My.Settings.Standardfarbe
        Me.Text = My.Settings.Anwendungstitel
    End Sub
    Private Sub btnKundenSuchen_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnKundenSuchen.Click
        Dim kundenId As Nullable(Of Integer) = GetEnteredKundenId()

        My.Application.Log.WriteEntry("geklickt (" & txtKundenNr.Text & ")")

        If kundenId.HasValue Then
            Dim kunde As PrivatKunde = ClientFacade.KundenFacade.GetPrivatKundeByKundenNr(kundenId.Value)
            Dim privatKunde As PrivatKunde = CType(kunde, PrivatKunde)

            privatKundeView.Kunde = privatKunde

            If privatKunde Is Nothing Then
                MessageBox.Show("Der Kunde ist kein Privatkunde", Application.ProductName, _
                                MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            End If
        End If

    End Sub

    Private Function GetEnteredKundenId() As Nullable(Of Integer)
        Dim kundenNr As Integer

        If Integer.TryParse(txtKundenNr.Text, kundenNr) Then
            Return kundenNr
        End If

        Return Nothing
    End Function

    Private Sub MainForm_DoubleClick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.DoubleClick
        If ColorDialog.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Me.BackColor = ColorDialog.Color
            My.Settings.Standardfarbe = ColorDialog.Color
            My.Settings.Save()
        End If
    End Sub
End Class
