﻿Imports log4net

Public Class Log4netLogger
   Inherits LoggerBase

#Region "ILogger Implementation"

   Private ReadOnly _log4netLogger As ILog
   Public ReadOnly Property Log4netLogger() As ILog
      Get
         Return _log4netLogger
      End Get
   End Property

   Public Sub New()
      _log4netLogger = log4net.LogManager.GetLogger("meinNEKischerLogger")
   End Sub

   Public Overrides Sub Log(ByVal info As String)
      Log4netLogger.Info(info)
   End Sub

   Public Overrides Sub Log(ByVal exception As System.Exception)
      Log4netLogger.Error(Nothing, exception)
   End Sub

   Public Overrides Sub LogServiceInvocation(ByVal service As Object, ByVal message As String, ByVal parameterInfo As String)
      Dim msg = GetLogServiceInvocationInfo(service, message, parameterInfo)

      Log4netLogger.Info(msg)
   End Sub

   Public Overrides Sub LogServiceReturn(ByVal service As Object, ByVal message As String, ByVal returnInfo As String)
      Dim msg = GetLogServiceReturnInfo(service, message, returnInfo)

      Log4netLogger.Info(msg)
   End Sub

#End Region

End Class
