﻿Public Class LoggerFactory

   Friend Shared Function CreateLogger() As ILogger
      Select Case Logger.Provider
         Case LoggingProvider.SystemDiagnostics
            Return New SystemDiagnosticsLogger()

         Case LoggingProvider.MyApplicationLogger
            Return New MyApplicationLogger

         Case LoggingProvider.Log4net
            Return New Log4netLogger
         Case Else
            Throw New Exception("Ungültiger Provider " & Logger.Provider)
      End Select
   End Function

End Class
